Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.axiom.util
Interface ToolkitConstants

All Known Implementing Classes:
  JNDIHelper, WebLogicHelper

Deprecated See BEA Commerce product offering

    @Deprecated
    public interface ToolkitConstants

Toolkit specific constants.

Field Summary
`static int` | `DEFAULT_ID_CACHE` Deprecated See BEA Commerce product offering
`static String` | `DEFAULT_ID_PROCEDURE` Deprecated See BEA Commerce product offering
`static String` | `DEFAULT_JDBC_POOL_NAME` Deprecated See BEA Commerce product offering
`static String` | `DEFAULT_JTS_POOL_NAME` Deprecated See BEA Commerce product offering
`static int` | `DEFAULT_LOGGING_LEVEL` Deprecated See BEA Commerce product offering
`static String` | `DEFAULT_WEBLOGIC_HOST` Deprecated See BEA Commerce product offering
`static String` | `DEFAULT_WEBLOGIC_PORT` Deprecated See BEA Commerce product offering
`static String` | `ID_CACHE` Deprecated See BEA Commerce product offering
`static String` | `ID_PROCEDURE` Deprecated See BEA Commerce product offering
`static String` | `JDBC_POOL_NAME` Deprecated See BEA Commerce product offering
`static String` | `JTS_POOL_NAME` Deprecated See BEA Commerce product offering
`static int` | `LOG_DEBUG` Deprecated See BEA Commerce product offering
`static int` | `LOG_ERROR` Deprecated See BEA Commerce product offering
`static int` | `LOG_FATAL` Deprecated See BEA Commerce product offering
`static int` | `LOG_INFO` Deprecated See BEA Commerce product offering
`static int` | `LOG_SECURITY` Deprecated See BEA Commerce product offering
`static int` | `LOG_WARNING` Deprecated See BEA Commerce product offering
`static String` | `LOGGING_LEVEL` Deprecated See BEA Commerce product offering
`static String` | `WEBLOGIC_HOST` Deprecated See BEA Commerce product offering
`static String` | `WEBLOGIC_PORT` Deprecated See BEA Commerce product offering

Field Detail

### WEBLOGIC_HOST

    static final String WEBLOGIC_HOST

  Deprecated See BEA Commerce product offering
  System property name for the weblogic host.

  See Also
    Constants Summary

### DEFAULT_WEBLOGIC_HOST

    static final String DEFAULT_WEBLOGIC_HOST

  Deprecated See BEA Commerce product offering
  The default system property value for the weblogic host.

  See Also
    Constants Summary

### WEBLOGIC_PORT

    static final String WEBLOGIC_PORT

  Deprecated See BEA Commerce product offering
  System property name for the weblogic port.

  See Also
    Constants Summary

### DEFAULT_WEBLOGIC_PORT

    static final String DEFAULT_WEBLOGIC_PORT

  Deprecated See BEA Commerce product offering
  The default system property value for the weblogic port.

  See Also
    Constants Summary

### LOG_DEBUG

    static final int LOG_DEBUG

  Deprecated See BEA Commerce product offering
  Debugging logging level.

  See Also
    Constants Summary

### LOG_INFO

    static final int LOG_INFO

  Deprecated See BEA Commerce product offering
  Informational logging level.

  See Also
    Constants Summary

### LOG_WARNING

    static final int LOG_WARNING

  Deprecated See BEA Commerce product offering
  Warning logging level.

  See Also
    Constants Summary

### LOG_ERROR

    static final int LOG_ERROR

  Deprecated See BEA Commerce product offering
  Error logging level.

  See Also
    Constants Summary

### LOG_FATAL

    static final int LOG_FATAL

  Deprecated See BEA Commerce product offering
  Fatal logging level.

  See Also
    Constants Summary

### LOG_SECURITY

    static final int LOG_SECURITY

  Deprecated See BEA Commerce product offering
  Security logging level.

  See Also
    Constants Summary

### LOGGING_LEVEL

    static final String LOGGING_LEVEL

  Deprecated See BEA Commerce product offering
  The property for determining the minimum logging level.

  See Also
    Constants Summary

### DEFAULT_LOGGING_LEVEL

    static final int DEFAULT_LOGGING_LEVEL

  Deprecated See BEA Commerce product offering
  The defeault logging level.

  See Also
    Constants Summary

### JDBC_POOL_NAME

    static final String JDBC_POOL_NAME

  Deprecated See BEA Commerce product offering
  JDBC Connection pool property name.

  See Also
    Constants Summary

### DEFAULT_JDBC_POOL_NAME

    static final String DEFAULT_JDBC_POOL_NAME

  Deprecated See BEA Commerce product offering
  Default JDBC Connection pool value.

  See Also
    Constants Summary

### JTS_POOL_NAME

    static final String JTS_POOL_NAME

  Deprecated See BEA Commerce product offering
  JDBC Connection pool property name.

  See Also
    Constants Summary

### DEFAULT_JTS_POOL_NAME

    static final String DEFAULT_JTS_POOL_NAME

  Deprecated See BEA Commerce product offering
  Default JDBC Connection pool value.

  See Also
    Constants Summary

### ID_CACHE

    static final String ID_CACHE

  Deprecated See BEA Commerce product offering
  The cache size for ids property name.

  See Also
    Constants Summary

### DEFAULT_ID_CACHE

    static final int DEFAULT_ID_CACHE

  Deprecated See BEA Commerce product offering
  The default cache size for ids.

  See Also
    Constants Summary

### ID_PROCEDURE

    static final String ID_PROCEDURE

  Deprecated See BEA Commerce product offering
  The property name for the 'sequence' stored procedure.

  See Also
    Constants Summary

### DEFAULT_ID_PROCEDURE

    static final String DEFAULT_ID_PROCEDURE

  Deprecated See BEA Commerce product offering
  The default property value for the 'sequence' stored procedure.

  See Also
    Constants Summary

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved